Retrieve an order (synchronous API)

Get an order details

get

Retrieves the details of an order.

Authorizations
AuthorizationstringRequired

For system access use case, use API key/secret in the Authorization header, the API key should be set up with sufficient role.

Path parameters
orderIdstringRequired

The identifier of the Order.

Responses
chevron-right
200

Successful response.

application/json
idstringOptional

The identifier of the order.

Example: 1067669580082
totalItemsInCartintegerOptional

Total items in the cart.

Example: 1
testOrderbooleanOptional

The order is a test order or not.

Example: false
sendEmailbooleanOptional

Send email notification to the customer or not.

Example: false
localestringOptional

The locale of the order.

Example: en_US
currencystringOptional

The currency of the order.

Example: USD
taxExemptbooleanOptional

Tax exempted or not of the order.

Example: false
shopperLoginTypestringOptional

The shopper login type used when the order was placed. "Anonymous" means the user didn't create or log on to their shopper account. "Authenticated" means the shopper logged on to their shopper account.

Example: Anonymous
shopperIdstringOptional

The identifier of the shopper.

Example: 42317897435
softDescriptorstringOptional

The name that will appear on the customer's credit card statement. If the descriptor contains "DR*" it means that Digital River is the Merchant of Record (MoR) for the order.

orderStatestringOptional

Specifies the current state of the order. The possible values are as follows. Open, In Process, Cancelled, or Submitted.

Example: Completed
businessEntityCodestringOptional

The business entity code of the order

Example: DR_IRELAND-ENTITY
taxInclusivebooleanOptional

The price list setup for the currency.

  • If true, the price list is set to tax inclusive.
  • If false, the price list is set to tax exclusive.
Example: false
submissionDatestring · date-timeOptional

The date when the order was placed.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2023,"monthValue":2,"dayOfMonth":27,"hour":20,"minute":36,"second":2,"month":"FEBRUARY","dayOfWeek":"MONDAY","dayOfYear":58}
requestToBeForgottenstring · date-timeOptional

This data is only presented when a request for the removal of personal identifiable information has been made previously.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2023,"monthValue":2,"dayOfMonth":28,"hour":22,"minute":38,"second":6,"month":"FEBRUARY","dayOfWeek":"TUESDAY","dayOfYear":59}
get
/v1/orders/{orderId}

Last updated